# [−] List of all items

### Structs

- AnimationControl
- Decoder
- Encoder
- FrameControl
- Info
- Limits
- OutputInfo
- PixelDimensions
- Reader
- StreamingDecoder
- Transformations
- Writer

### Enums

- BitDepth
- ColorType
- Compression
- Decoded
- DecodingError
- EncodingError
- FilterType
- Unit

### Traits

- HasParameters
- Parameter

### Functions

- chunk::is_critical
- chunk::is_private
- chunk::reserved_set
- chunk::safe_to_copy

### Typedefs

- chunk::ChunkType

### Constants

- chunk::IDAT
- chunk::IEND
- chunk::IHDR
- chunk::PLTE
- chunk::acTL
- chunk::bKGD
- chunk::fcTL
- chunk::fdAT
- chunk::pHYs
- chunk::tIME
- chunk::tRNS

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)